Generate New OIDC Client Secret
Deprecated: Use GenerateClientSecret instead to (re-)generate an OIDC app client secret.
Generates a new client secret for the OIDC application, make sure to save the response.
curl -X POST "https://loading/projects/string/apps/string/oidc_config/_generate_client_secret"{
"clientSecret": "string",
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
}
}Was this page helpful?
Generate New API Client Secret
Generate New API Client Secret: Deprecated: Use [GenerateClientSecret](/reference/api/application/zitadel.application.v2.ApplicationService.GenerateClientSecret) instead to (re-)generate an API app client secret Generates a new c...
Get Application By ID
Get Application By ID: Deprecated: Use [GetApplication](/reference/api/application/zitadel.application.v2.ApplicationService.GetApplication) instead to fetch an app Get an application of any type (OIDC, API, SAML).